Subject: Re: [PATCH 00/16] Remove hash page table slot tracking from linux PTE

From: "Aneesh Kumar K.V" <[email-masked]>
Date: Tue, 21 Nov 2017 14:11:44 +0530

Paul Mackerras <[email-masked]> writes:
> On pseries, performance is about 2.4% worse without new hcalls, but
> that is less than 1 standard deviation.  With new hcalls, performance
> is 0.95% worse, only a third of a standard deviation.  I think we need
> to do more measurements to try to get a more accurate picture here.
>
> Were the pseries numbers done on KVM or PowerVM?  Could you do a set
> of measurements on the other one too please?  (I assume the numbers
> with the new hcall were done on KVM, and can't be done on PowerVM.)
>

I got ebizzy and kernel compile run on powernv and powervm config. You
can find the numbers below. I did 10 iterations and only added stdev and
median below. I do find powernv do better with patch series.

ebizzy run
-----------
PowerNV (ebizzy -m -n 1000 -P -s 512000 -S 100 -t 100):
With patches, 10 iterations results records/sec.
stdev =	37.60
median = 7411.5

Without patch:
stdev = 23.071
median = 7350

PowerVM numbers(./ebizzy -m -n 1000 -P -s 512000 -S 100 -t 30):
With patch (no new hcalls):
stdev = 20.721
median = 6955.5
	
Without patch	
stdev =	35.049
median = 7081

kernel compile:(time -p)
---------------------------
PowerNV:
With patches:
Real	
----	
stdev = 1.624
median = 61.56
	
User:	
stdev =	61.204
median = 4816.73
	
Sys:	
stdev =	4.367
median = 387.575

Without patches:
Real:	
stdev =	1.318
median = 63.635
	
User:	
stdev =	50.531
median = 4820.51

Sys:	
stdev =	6.409
median = 389.765

PowerVM numbers:
-------------------
With patches (no new hcalls):
Real:	
stdev =	3.016
median = 442.745

User:	
stdev =	9.738
median = 5507.87
	
Sys:	
stdev =	0.223
median = 176.455

Witout patches:
Real:
stdev = 0.720
median = 442.445

User:
stdev = 8.621
median = 5501.615

Sys:
stdev = 0.189
median = 173.3